{$mode objfpc}{$H-}{$R+}{$T+}{$Q+}{$V+}{$D+}{$X-}{$warnings on}
program busqueda_real;
    // Buscamos un valor real en un vector
const
    TamanioVector = 4;
type
    TipoVector = array[1..TamanioVector] of real;

function busca_valor(vector: TipoVector; valor, margen: real): integer;
    // Esta función busca un valor real en un vector, permitiendo
    // cierto margen. Devuelve su posición, o 0 si no existe
var
    i: integer;
begin
    result := 0;
    for i := 1 to TamanioVector do begin
        if abs(vector[i] - valor) <= margen then
            result := i
    end
end;
const
    Vector_prueba: TipoVector = (93.0, 86.9, 0, 86.2);
    Tiempo_a_buscar: real = 86.873;
    Margen: real = 0.03;
begin
    writeln(busca_valor(Vector_prueba, Tiempo_a_buscar, Margen))  // 2
end.

