{$mode objfpc}{$H-}{$R+}{$T+}{$Q+}{$V+}{$D+}{$X-}{$warnings on}
program matrices_horizontales;
uses crt;  // Necesario para delay
const
    Filas = 4; 
    Columnas = 3;
type
    TipoMatriz = array[1..Filas, 1..Columnas] of integer;

function tira_dado(caras_dado:integer):integer;
begin
    result := random(caras_dado) + 1;
end;

procedure inicia_matriz(var matriz:TipoMatriz);
var
    i,j : integer;
const
    CarasDado = 6;
begin
    for i := 1 to Filas do
        for j:= 1 to Columnas do
            matriz[i,j] := tira_dado(CarasDado);
end;

procedure escribe_matriz(matriz:TipoMatriz);
var i,j: integer;   
begin
    for i := 1 to Filas do begin
        for j:= 1 to Columnas do 
            write(matriz[i,j]:2, ' ');
        writeln;
    end;
end;

procedure escribe_fila(matriz:TipoMatriz; i:integer);
var
    j: integer;
begin
    for j := 1 to Columnas do begin
        write(matriz[i,j]:2);
        write(' ');
    end;
    write('  ');
end;

procedure escribe_3_matrices(
    matriz_1, matriz_2, matriz_3: TipoMatriz);
var
    i : integer;
begin
    for i := 1 to Filas do begin
        escribe_fila(matriz_1, i);
        escribe_fila(matriz_2, i);
        escribe_fila(matriz_3, i);
        writeln;
    end;
end;

var
    matriz_1, matriz_2, matriz_3 : TipoMatriz;
begin
    randomize();
    delay(800);
    inicia_matriz(matriz_1);
    inicia_matriz(matriz_2);
    inicia_matriz(matriz_3);
    writeln('Matriz 1');
    escribe_matriz(matriz_1);
    writeln('Matriz 2');
    escribe_matriz(matriz_2);
    writeln('Matriz 3:');
    escribe_matriz(matriz_3);
    writeln;
    escribe_3_matrices(matriz_1, matriz_2, matriz_3);
end.  
