{$mode objfpc}{$H-}{$R+}{$T+}{$Q+}{$V+}{$D+}{$X-}{$warnings on}
program normaliza_01;
    // Manejamos una lista de registros, que contiene una fecha 
    // de vuelo y una duración de vuelo. Calculamos el tiempo
    // normalizado, que será tiempo[i] / media(vector), y lo
    // añadimos a otro campo del registro

const
    TamanioVector = 4;
type
    TipoVuelo = record
        fecha: string;
        tiempo: real;
        tiempo_normalizado: real;
    end;
    TipoVector = array[1..TamanioVector] of TipoVuelo;

procedure inicia_vector(var vector: TipoVector);
begin
    vector[1].fecha := '2018.11.18';
    vector[1].tiempo := 92.4;
    vector[2].fecha := '2018.11.19';
    vector[2].tiempo := 96.6;
    vector[3].fecha := '2018.11.20';
    vector[3].tiempo := 88.7;
    vector[4].fecha := '2018.11.21';
    vector[4].tiempo := 91.1
end;

function media(vector: TipoVector):real;
var
    suma: real;
    i: integer;
begin
    suma := 0;
    for i := 1 to TamanioVector do
        suma := suma + vector[i].tiempo;
    result := suma / TamanioVector
end;

procedure normaliza(var vector: TipoVector);
var
    med : real;
    i : integer;
begin
    med :=  media(vector);
    for i := 1 to TamanioVector do begin
        vector[i].tiempo_normalizado := vector[i].tiempo / med;
        { writeln(i,vector[i].tiempo_normalizado);  // traza para ver qué calculo}
    end
end;

procedure escribe_vector(vector: TipoVector);
var
    i: integer;
begin
    writeln('Fecha		Tiempo	Tiempo Normalizado');
    for i := 1 to TamanioVector do begin
        write(vector[i].fecha, '	');
        write(vector[i].tiempo:0:1, '	');
        writeln(vector[i].tiempo_normalizado:0:3)
    end;
    writeln;
    writeln('Tiempo medio: ', media(vector):0:3);
end;

var 
    vector: TipoVector;

begin
    inicia_vector(vector);
    normaliza(vector);
    escribe_vector(vector)
end.

