{$mode objfpc}{$H-}{$R+}{$T+}{$Q+}{$V+}{$D+}{$X-}{$warnings on}
program sumatorio_columnas;
uses crt;  // Necesario para delay
const
    Filas = 3; 
    Columnas = 4;
type
    TipoMatriz = array[1..Filas, 1..Columnas] of integer;

function tira_dado(caras_dado:integer):integer;
begin
    result := random(caras_dado) + 1;
end;

procedure inicia_matriz(var matriz:TipoMatriz);
var
    i,j : integer;
const
    CarasDado = 6;
begin
    for i := 1 to Filas do
        for j:= 1 to Columnas do
            matriz[i,j] := tira_dado(CarasDado);
end;

procedure escribe_matriz(matriz:TipoMatriz);
var i,j: integer;   
begin
    for i := 1 to Filas do begin
        for j:= 1 to Columnas do 
            write(matriz[i,j], ' ');
        writeln;
    end;
end;

procedure suma_por_columnas(var matriz:TipoMatriz);
var i,j, sumatorio: integer;
begin
    for j:= 1 to Columnas do begin
        sumatorio := 0;
        for i:= 1 to Filas do
            sumatorio := sumatorio + matriz[i,j];
        write('Suma columna ', j);
        writeln(': ', sumatorio);
    end;
end;

var
    matriz : TipoMatriz;
begin
    randomize();
    delay(800);
    inicia_matriz(matriz);
    escribe_matriz(matriz);
    suma_por_columnas(matriz);
end.  
6 6 5 
2 1 4 
2 3 6 
1 3 6 
Suma columna 1: 11
Suma columna 2: 13
Suma columna 3: 21
