{$mode objfpc}{$H-}{$R+}{$T+}{$Q+}{$V+}{$D+}{$X-}{$warnings on}
program sumatorio_filas;
uses crt;  // Necesario para delay
const
    Filas = 3; 
    Columnas = 4;
type
    TipoMatriz = array[1..Filas, 1..Columnas] of integer;

function tira_dado(caras_dado:integer):integer;
begin
    result := random(caras_dado) + 1;
end;

procedure inicia_matriz(var matriz:TipoMatriz);
var
    i,j : integer;
const
    CarasDado = 6;
begin
    for i := 1 to Filas do
        for j:= 1 to Columnas do
            matriz[i,j] := tira_dado(CarasDado);
end;

procedure escribe_matriz(matriz:TipoMatriz);
var i,j: integer;   
begin
    for i := 1 to Filas do begin
        for j:= 1 to Columnas do 
            write(matriz[i,j], ' ');
        writeln;
    end;
end;

procedure suma_por_filas(var matriz:TipoMatriz);
var i,j, sumatorio: integer;
begin
    for i:= 1 to Filas do begin
        sumatorio := 0;
        for j:= 1 to Columnas do
            sumatorio := sumatorio + matriz[i,j];
        write('Suma fila ', i);
        writeln(': ', sumatorio);
    end;
end;

var
    matriz : TipoMatriz;
begin
    randomize();
    delay(800);
    inicia_matriz(matriz);
    escribe_matriz(matriz);
    suma_por_filas(matriz);
end.  
6 4 6 4 
2 6 2 3 
2 4 2 6 
Suma fila 1: 20
Suma fila 2: 13
Suma fila 3: 14
3 4 6 3 
5 4 4 1 
3 5 3 5 
Suma fila 1: 16
Suma fila 2: 14
Suma fila 3: 16
