{$mode objfpc}{$H-}{$R+}{$T+}{$Q+}{$V+}{$D+}{$X-}{$warnings on}
program sumatorio_filas_02;
uses crt;  // Necesario para delay
const
    Filas = 4; 
    Columnas = 3;
type
    TipoMatriz = array[1..Filas, 1..Columnas] of integer;
    TipoVector = array[1..Filas] of integer;

function tira_dado(caras_dado:integer):integer;
begin
    result := random(caras_dado) + 1;
end;

procedure inicia_matriz(var matriz:TipoMatriz);
var
    i,j : integer;
const
    CarasDado = 6;
begin
    for i := 1 to Filas do
        for j:= 1 to Columnas do
            matriz[i,j] := tira_dado(CarasDado);
end;

procedure escribe_matriz(matriz:TipoMatriz);
var i,j: integer;   
begin
    for i := 1 to Filas do begin
        for j:= 1 to Columnas do 
            write(matriz[i,j], ' ');
        writeln;
    end;
end;

procedure escribe_vector(var mi_vector:TipoVector);
var i: integer;   
begin
    for i := 1 to Filas do 
        write(mi_vector[i], ' ');
    writeln;
end;

function suma_por_filas(var matriz:TipoMatriz):TipoVector;
var i,j, sumatorio: integer;
begin
    for i:= 1 to Filas do begin
        sumatorio := 0;
        for j:= 1 to Columnas do
            sumatorio := sumatorio + matriz[i,j];
        result[i] := sumatorio;
    end;

end;

var
    matriz : TipoMatriz;
    vector_suma : TipoVector;
begin
    randomize();
    delay(800);
    inicia_matriz(matriz);
    escribe_matriz(matriz);
    vector_suma := suma_por_filas(matriz);
    writeln('Sumatorio por filas:');
    escribe_vector(vector_suma);
end.  
6 2 3 
2 1 3 
6 4 2 
6 4 5 
Sumatorio por filas:
11 6 12 15 
