{$mode objfpc}{$H-}{$R+}{$T+}{$Q+}{$V+}{$D+}{$X-}{$warnings on}
program aeropuertos_02;
const
    NumAeropuertos = 5;
type
    TipoAeropuerto = record   // 'TipoAeropuerto', en singular
        codigo : string;
        nombre : string;
    end;
    TipoAeropuertos = array[1..NumAeropuertos] of TipoAeropuerto;
        // 'TipoAeropuertos' en plural, el array

procedure escribe_aeropuertos(aeropuertos:TipoAeropuertos);
var 
    i : integer;
begin
    for i := 1 to NumAeropuertos do begin
        write(aeropuertos[i].codigo, ' ' );
        writeln(aeropuertos[i].nombre)
    end;
end;

procedure inicia_aeropuertos(var aeropuertos:TipoAeropuertos);
begin
    aeropuertos[1].codigo := 'MAD';
    aeropuertos[1].nombre := 'Adolfo Suárez Madrid–Barajas Airport';
    aeropuertos[2].codigo := 'LHR';
    aeropuertos[2].nombre := 'Heathrow Airport';
    aeropuertos[3].codigo := 'CDG';
    aeropuertos[3].nombre := 'Charles de Gaulle Airport';
    aeropuertos[4].codigo := 'CGN';
    aeropuertos[4].nombre := 'Cologne Bonn Airport';
    aeropuertos[5].codigo := 'OVD';
    aeropuertos[5].nombre := 'Asturias Airport'
end;

function busca_aeropuerto(aeropuertos:TipoAeropuertos; codigo:string): string;
var 
    i:integer;
begin
    result := 'Aeropuerto desconocido';
    for i := 1 to NumAeropuertos do
        if aeropuertos[i].codigo = codigo then
            result := aeropuertos[i].nombre
end;

var
    aeropuertos : TipoAeropuertos;
begin
    inicia_aeropuertos(aeropuertos);
    writeln(busca_aeropuerto(aeropuertos, 'LHR')); // Heathrow Airport
    writeln(busca_aeropuerto(aeropuertos,'LPA'))  // Aeropuerto Desconocido
end.
