{$mode objfpc}{$H-}{$R+}{$T+}{$Q+}{$V+}{$D+}{$X-}{$warnings on}
program busqueda_real_mal_02;
    // Buscamos en un vector un valor real lo baste próximo a un
    // valor pedido. Si lo encontramos, dejamos de buscar.
    // Versión errónea, olvidamos el caso de que no exista

const
    TamanioVector = 4;
type
    TipoVector = array[1..TamanioVector] of real;

function busca_valor(vector: TipoVector; valor, margen: real): integer;
    // Busca un valor en el vector, permitiendo un margen. Devuelve
    // su posición, o 0 si no existe
var
    i: integer;
    sal: boolean;  // Cuando sea cierto, salgo del bucle
begin
    result := 0;
    i := 1;
    sal := FALSE;
    repeat
        if abs(vector[i] - valor) <= margen then begin
            result := i;
            sal := TRUE
        end;
        i := i+1;
    until sal   // ¡Mal! Si no existe el valor, i se desborda
end;

const
    vector_prueba: TipoVector = (93.0, 87.4, 0, 86.2);
    tiempo_a_buscar: real = 95;
    margen: real = 0.6;
begin
    writeln(busca_valor(vector_prueba, tiempo_a_buscar, margen))
end.

