{$mode objfpc}{$H-}{$R+}{$T+}{$Q+}{$V+}{$D+}{$X-}{$warnings on}
program maximos_matriz;
uses crt;  // Necesario para delay
const
    Filas = 4; 
    Columnas = 3;
type
    TipoMatriz = array[1..Filas, 1..Columnas] of integer;
    TipoVector = array[1..Filas] of integer;

function tira_dado(caras_dado:integer):integer;
begin
    result := random(caras_dado) + 1;
end;

procedure inicia_matriz(var matriz:TipoMatriz);
var
    i,j : integer;
const
    CarasDado = 6;
begin
    for i := 1 to Filas do
        for j:= 1 to Columnas do
            matriz[i,j] := tira_dado(CarasDado);
end;

procedure escribe_matriz(matriz:TipoMatriz);
var i,j: integer;   
begin
    for i := 1 to Filas do begin
        for j:= 1 to Columnas do 
            write(matriz[i,j], ' ');
        writeln;
    end;
end;

procedure escribe_vector(var mi_vector:TipoVector);
var i: integer;   
begin
    for i := 1 to Filas do 
        write(mi_vector[i], ' ');
    writeln;
end;

function maximo_fila(matriz:TipoMatriz; i:integer):integer;
// Devuelve el valor máximo de la fila i de la matriz
var j,  max: integer;
begin
    
    max := matriz[i,1];
    for j:= 2 to Columnas do 
        if matriz[i,j] > max then
            max := matriz[i,j];
    result := max;
end;

function maximo_por_filas(matriz:TipoMatriz):TipoVector;
// Devuelve un vector con los máximos de cada fila
var 
    i : integer;
begin
    for i := 1 to filas do begin
        result[i] := maximo_fila(matriz,i);
    end;
end;

var
    matriz : TipoMatriz;
    vector_maximos : TipoVector;
begin
    randomize();
    delay(800);
    if Columnas < 2 then 
        writeln('La matriz tiene que tener al menos 2 columnas')
    else begin
        inicia_matriz(matriz);
        escribe_matriz(matriz);
        vector_maximos := maximo_por_filas(matriz);
        writeln('Maximos de cada fila:');
        escribe_vector(vector_maximos);
    end;
end.  
2 1 2 
6 6 3 
2 5 4 
1 2 1 
Maximos de cada fila:
2 6 5 2 
