{$mode objfpc}{$H-}{$R+}{$T+}{$Q+}{$V+}{$D+}{$X-}{$warnings on}
program suma_matriz;
uses crt;  // Necesario para delay
const
    Filas = 2; 
    Columnas = 3;
type
    TipoMatriz = array[1..Filas, 1..Columnas] of integer;


function tira_dado(caras_dado:integer):integer;
begin
    result := random(caras_dado) + 1;
end;

procedure inicia_matriz(var matriz:TipoMatriz);
var
    i,j : integer;
const
    CarasDado = 6;
begin
    for i := 1 to Filas do
        for j:= 1 to Columnas do
            matriz[i,j] := tira_dado(CarasDado);
end;

procedure escribe_matriz(matriz:TipoMatriz);
var i,j: integer;  
begin
    for i := 1 to Filas do begin
        for j:= 1 to Columnas do 
            write(matriz[i,j], ' ');
        writeln;
    end;
end;

function sumatorio_matriz(matriz:TipoMatriz): integer;
var i,j, sumatorio: integer;
begin
    sumatorio := 0;
    for i:= 1 to Filas do
        for j:= 1 to Columnas do
            sumatorio := sumatorio + matriz[i,j];
    result := sumatorio;
end;

var
    matriz : TipoMatriz;
begin
    randomize();
    delay(800);
    inicia_matriz(matriz);
    escribe_matriz(matriz);
    writeln('Suma de elementos: ',sumatorio_matriz(matriz));
end.  
6 4 3 
3 2 6 
4 1 3 
Suma de elementos: 32
1 4 6 
3 2 1 
Suma de elementos: 17
